## libclass-accessor-perl 0.51

=== debian/changelog ===
libclass-accessor-perl (0.51-2) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Refer to specific version of license GPL-1+.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Jan 2023 23:59:30 +0100

libclass-accessor-perl (0.51-1) unstable; urgency=medium

  * Team upload

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * New upstream version 0.51
  * drop dh_make boilerplate (not valid anymore) from debian/watch
  * use source format '3.0 (quilt)'
  * update upstream email and copyright years
  * bump debhelper compatibility level to 9
  * declare conformance with Policy 4.1.1 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 24 Oct 2017 12:40:54 +0000

libclass-accessor-perl (0.34-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Adds a Moose-like interface, including the "has" keyword
  * Added myself to Uploaders and Copyright
  * Cleaned up description in control
  * Standards-Version 3.8.3 (no changes)
  * Quilt patch no longer necessary, was fixed upstream (Closes: #538636)
    See also: the CPAN RT#29582 (remove quilt dependency)
  * Use shorter debhelper rules format

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Ryan Niebur ]
  * Update jawnsy's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 20 Sep 2009 09:27:20 -0400

libclass-accessor-perl (0.33-1) unstable; urgency=low

  * New upstream release
  * Migrate package to debhelper7, update debian/compat, debian/control
    and debian/rules
  * debian/control: Update Standards-Version to 3.8.1, Add libsub-name-perl to
    dependencies, Fix spelling of my name

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 05 May 2009 09:49:02 +0200

libclass-accessor-perl (0.31-3) UNRELEASED; urgency=low

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: delete /usr/lib/perl5 only if it exists.
  * debian/watch: use dist-based URL.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 09 Oct 2007 22:27:57 +0200

libclass-accessor-perl (0.31-2) unstable; urgency=low

  * Add patch to fix errors in manpage (closes: #443737).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sun, 23 Sep 2007 20:54:41 +0200

libclass-accessor-perl (0.31-1) unstable; urgency=low

  * New upstream release.
  * Add XS-Vcs-Svn field to debian/control.
  * Remove use of backtick in debian/rules.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat, 14 Jul 2007 22:08:13 +0200

libclass-accessor-perl (0.30-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 28 Nov 2006 15:24:59 +0100

libclass-accessor-perl (0.27-2) unstable; urgency=low

  * Adopted for Debian Perl Group
  * debian/control: debphelper updated to (>= 5)
  * debian/compat: increased to 5

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 17 Nov 2006 13:32:24 +0100

libclass-accessor-perl (0.27-1) unstable; urgency=low

  * New upstream release - adds new module Class::Accessor::Faster

 -- Stephen Quinney <sjq@debian.org>  Thu, 10 Aug 2006 19:38:01 +0100

libclass-accessor-perl (0.25-1) unstable; urgency=low

  * New upstream release

 -- Stephen Quinney <sjq@debian.org>  Sun, 16 Apr 2006 18:12:35 +0100

libclass-accessor-perl (0.22-1) unstable; urgency=low

  * New upstream release - no code changes.

 -- Stephen Quinney <sjq@debian.org>  Wed, 14 Sep 2005 09:04:26 +0100

libclass-accessor-perl (0.21-1) unstable; urgency=low

  * New upstream release - documentation tidied and new sub-classable
    _carp and _croak methods to allow better error handling.
  * Switched to my debian.org email address.

 -- Stephen Quinney <sjq@debian.org>  Fri,  2 Sep 2005 11:19:15 +0100

libclass-accessor-perl (0.19-2) unstable; urgency=low

  * debian/watch - Modified so it correctly picks up versions of this
    package only.

 -- Stephen Quinney <sjq@debian.org>  Sat, 31 Jul 2004 09:01:11 +0100

libclass-accessor-perl (0.19-1) unstable; urgency=low

  * New upstream release - performance and documentation enhancements.
  * Changed section from interpreters to perl.

