=== debian/control ===
Source: libclass-accessor-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libsub-name-perl <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libclass-accessor-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libclass-accessor-perl.git
Homepage: https://metacpan.org/release/Class-Accessor
Rules-Requires-Root: no

Package: libclass-accessor-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libsub-name-perl
Description: Perl module that automatically generates accessors
 Class::Accessor automagically generates accessor/mutator methods for your
 class. Most of the time, writing accessors is an exercise in cutting and
 pasting. If you make your module a subclass of Class::Accessor and declare
 your accessor fields with mk_accessors() then you will find yourself with a
 set of automatically generated accessors which can even be customized.
