=== debian/watch ===
version=4
https://metacpan.org/release/Class-Accessor   .*/Class-Accessor-v?@ANY_VERSION@@ARCHIVE_EXT@$
